#include<bits/stdc++.h>

using namespace std;

int NizX[200010],NizY[200010],sum,N;
int main()
{
    cin>>N;

    for(int i=1; i<=N; i++)cin>>NizX[i]>>NizY[i];

    sort(NizX+1,NizX+1+N);

    sort(NizY+1,NizY+1+N);

    for(int i=1; i<=N; i++)sum+=abs(NizX[i]-i);

    for(int i=1; i<=N; i++)sum+=abs(NizY[i]-i);

    cout<<sum<<endl;

    return 0;
}